﻿/* #region 通常 form-group */
.form-group {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.form-group label,
.form-group span {
    color: rgb(var(--white));
    font-size: 18px;
    font-weight: 500;
    line-height: 26px;
}

.form-group label {
    position: relative;
}

.form-group.required label::before {
    content: "*";
    color: red;
    position: absolute;
    right: calc(100% + 4px);
}

.form-group .form-control,
.form-group .form-select {
    border-radius: 5px;
    padding: 8px 12px;
    height: 40px;
    color: rgb(var(--black));
    line-height: 23px;
    border: 1px solid rgb(var(--surface-300));
}

/* 解決此格式有自己的最小寬度問題 */
.form-control[type="datetime-local"] {
    min-width: 100%;
    width: 0;
}

.form-group .form-control[readonly],
.form-group .form-select[readonly] {
    background: transparent;
    border: none;
    color: rgb(var(--white));
}

.form-group textarea.form-control[readonly] {
    resize: none;
}

.form-group .form-control[readonly]:focus,
.form-group .form-select[readonly]:focus {
    box-shadow: none;
}

.form-group .form-control[readonly]:focus-visible,
.form-group .form-select[readonly]:focus-visible {
    outline: none;
}
/* #endregion */

/* pre 顯示用 */
.form-group .form-textarea {
    color: rgb(var(--white));
    padding-top: 6px;
}

/* #region checkbox */
.form-check .form-check-input {
    margin-left: -1.5em;
    margin-top: 0.4em;
}

.form-check .form-check-label {
    padding: 0 !important;
}
/* #endregion */

/* #region switch */
.form-switch {
    margin: 0;
    padding: 0;
    display: flex;
}

.form-switch .form-check-input {
    font-size: 24px;
}

.datagrid .form-switch .form-check-input {
    margin: 0 auto;
}

.form-group .form-switch .form-check-input {
    margin: 8px 0;
}

.form-switch .form-check-input:checked {
    background-color: #02d90a;
    border-color: #02d90a;
}
/* #endregion */

/* ---以下為套件相關--- */
/* #region easyui */
.form-group .textbox {
    width: 100% !important;
    border-radius: 5px;
    padding: 8px 12px;
    color: rgb(var(--black));
    line-height: 23px;
    border: 1px solid rgb(var(--surface-300));
    min-height: 40px;
}

/*  easyui-tagbox */
.form-group .textbox.tagbox {
    padding: 8px 12px !important;
    padding-right: 40px !important;
    display: flex;
    gap: 6px;
    flex-wrap: wrap;
}

.form-group .textbox.tagbox .textbox-addon {
    top: 0;
    bottom: 0;
}

.form-group .textbox.tagbox .textbox-addon .combo-arrow {
    height: 100% !important;
    width: 40px !important;

    background-color: rgb(var(--white));
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px 12px;

    opacity: 1;
}

.form-group .textbox.tagbox .textbox-addon .combo-arrow:hover {
    background-color: rgb(var(--white));
}

.form-group .textbox.tagbox .textbox-text {
    font-size: 16px;
    padding: 0 !important;
}

.form-group .textbox.tagbox .tagbox-label {
    height: auto !important;
    line-height: 23px !important;
    font-size: 16px;
    padding: 4px 24px 4px 8px;
    margin: 0;
    color: rgb(var(--black));
    border: 1px solid rgb(var(--blue-500));
}

.form-group .textbox.tagbox .tagbox-remove {
    right: 4px;
}
/* #endregion */

/* ---以下為自製--- */
/* #region 密碼 form-password */
.form-password {
    position: relative;
}
.form-password .form-password-input {
    padding-right: 3em;
}
.form-password-toggle {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0 1em;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    border: none;
    cursor: pointer;
}
.form-password-icon {
    display: none;
    width: 1em;
    height: 1em;
    fill: currentColor;
}
/* #endregion */

/* #region 里程 0 K+ 000 form-meter */
.form-meter {
    display: flex;
    gap: 0.63rem;
    align-items: center;
}
/* #endregion */

/* #region 檔案上傳 form-file */
.form-file {
    display: grid;
    grid-template-columns: minmax(1px, max-content);
    gap: 0.5rem;
}

.form-file-group {
    display: flex;
    gap: 0.625rem;
    justify-content: start;
    align-items: center;
}

.form-file-btn {
    position: relative;
    flex: 0 0 auto;
}

.form-file-btn:before {
    content: "" !important;
}

.form-file-input {
    position: absolute;
    inset: 0;
    opacity: 0;
}

.form-file-hint {
    color: rgb(var(--blue-400));
    font-size: 16px;
    margin: 0;
    display: flex;
    gap: 0.5rem;
    justify-content: center;
    align-items: center;
}

.form-file-image {
    width: 100%;
    display: flex;
}

.form-file-image-preview-container {
    width: max-content;
    position: relative;
    max-width: 100%;
}

.form-file-image-name {
    color: rgb(var(--white));
    margin: 0;
    margin-top: 4px;
}
/* #endregion */

/* #region 圖片瀏覽 form-image */
.form-image {
    width: 100%;
    display: flex;
}

.form-image-img {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
    object-position: center;
}

.form-image-preview {
    max-width: 100%;
    max-height: 33vh;
    object-fit: cover;
    object-position: center;
    border-radius: 5px;

    min-width: 5rem;
    min-height: 5rem;
    background-color: rgb(var(--surface-300));
}

.form-image-modal {
    --bs-modal-border-radius: 0;
    --bs-modal-bg: transparent;
}

.form-image-modal .modal-content {
    position: relative;
}

.form-image-modal .btn-close,
.form-file-image-preview-container .btn-close {
    position: absolute;
    border-radius: 999px;
    opacity: 1;
    background: rgb(var(--black));
    width: 18px;
    height: 18px;
    padding: 0;
}

.form-image-modal .btn-close img,
.form-file-image-preview-container .btn-close img {
    width: 8px;
    height: 8px;
    margin-bottom: 12px;
}

.form-image-modal .btn-close {
    top: 0;
    right: 0;
    transform: translate(50%, -50%);
}

.form-file-image-preview-container .btn-close {
    top: 8px;
    right: 8px;
}
/* #endregion */


